//////////////////////////////////////////////////////////////////////////////////////////////////
//Programmer:		Jason Bouchard
//Project:		Project 2
//Course:		CS 343
//Description:   
//			Recursive - Descent Parser to parse and evaluate arithmetic expressions 
//			involving integer constants.	
//
//			This is the Program to test the Recursive Descent parser.
//
//Compile Instructions:  javac Tester.java
//Execution Instructions: java Tester.java
//////////////////////////////////////////////////////////////////////////////////////////////////


import java.io.*;
	public class Tester
	{

		
		public static void main(String[] args) throws IOException
		{
			BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
			System.out.println("Enter an integer arithmetic expression (press ENTER to quit): ");
			String expr = input.readLine();
			System.out.println("You typed: " + expr);
			// instantiate a parser
			Parser parser = new Parser();

			// turn on parser trace
			parser.setTrace(true);

			while (expr.compareTo("") != 0)
			{
				System.out.println("\n");

				try
				{
					// parse and evaluate the expression
					int result = parser.Parse(expr);
					
					System.out.println("\nResult of expression: " + result);
				}
				catch (Exception ex)
				{
					System.out.println("Sorry, abandoning evaluation due to " + ex.getMessage());
				}

				System.out.println("\nEnter an integer arithmetic expression (press ENTER to quit): ");
				expr = input.readLine();			
			}

		}
	}

